Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ide
Class VAJImportServlet

    java.lang.Object
      |
      +--com.ibm.ivj.toolserver.servletclasses.servlet.Mock
            |
            +--com.ibm.ivj.toolserver.servletclasses.servlet.http.HttpServlet
                  |
                  +--org.apache.tools.ant.taskdefs.optional.ide.VAJToolsServlet
                        |
                        +--org.apache.tools.ant.taskdefs.optional.ide.VAJImportServlet

public class VAJImportServlet
extends VAJToolsServlet

A Remote Access to Tools Servlet to import a Project from files into the Repository. The following table describes the servlet parameters.

Parameter | Description
project | The name of the project where you want the imported items to go.
dir | The directory you want to import from.

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.ide.VAJToolsServlet
`CLASSES_PARAM, DEFAULT_EXCLUDES_PARAM, DIR_PARAM, EXCLUDE_PARAM, INCLUDE_PARAM, PROJECT_NAME_PARAM, RESOURCES_PARAM, SOURCES_PARAM`

Constructor Summary
`VAJImportServlet()`

Method Summary
`protected void` | `executeRequest()` Respond to a request to import files to the Repository

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ide.VAJToolsServlet
`doGet, getBooleanParam, getBooleanParam, getFirstParamValueString, getParamValues, initRequest, toBoolean`

Methods inherited from class com.ibm.ivj.toolserver.servletclasses.servlet.Mock
`boom`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VAJImportServlet

    public VAJImportServlet()

Method Detail

### executeRequest

    protected void executeRequest()

  Respond to a request to import files to the Repository

  Specified by:
    `executeRequest` in class `VAJToolsServlet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.